MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029337Open CASCADE[OCCT] OCCT:Visualizationpublic2017-11-21 08:122018-06-29 21:19
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029337: Visualization, TKOpenGl - visual artifacts on Intel Broadwell GPU
DescriptionThe random visual artifacts occurs on the screen when using Intel Broadwell ('2013) GPUs (Intel HD Graphics 5500, Intel Iris Graphics 6100).
      GLvendor: Intel
      GLdevice: Intel(R) HD Graphics 5500
      GLversion: 4.4.0 - Build 20.19.15.4531 [GLSL: 4.40 - Build 20.19.15.4531]

This issue, however, does not affect other tested Intel GPUs (older and newer) as well as GPUs of other vendors, which looks like a bug in OpenGL drivers.

Nevertheless, it is desired to have a fix/workaround for this issue on this platform.

The issue appeared after integration of new Weighted OIT algorithm in OCCT, which implies multiple Render Targets, though the problem occurs when OIT is actually disabled.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029508closedapn Visualization, TKOpenGl - visual artifacts on Adreno 305/308 
child of 0028826closedmkv Visualization, TKOpenGl - fix compatibility with strict OpenGL ES drivers 

-  Notes
(0072501)
git (administrator)
2017-11-27 15:17

Branch CR29337_720 has been created by apl.

SHA-1: 23a2c586464d09df4799bab852612c4ca0bcfad7


Detailed log of new commits:

Author: apl
Date: Mon Nov 27 15:16:21 2017 +0300

    0029337: Visualization, TKOpenGl - visual artifacts on Intel Broadwell GPU
    
    Enable multiple draw buffers in shader program only if its required by specific application
(0073932)
git (administrator)
2018-02-12 15:24

Branch CR29337_1 has been created by kgv.

SHA-1: 9ab281b9c6a15ae292f9a4d952da29b106cbf16f


Detailed log of new commits:

Author: apl
Date: Mon Nov 27 15:16:21 2017 +0300

    0029337: Visualization, TKOpenGl - visual artifacts on Intel Broadwell GPU
    
    Enable multiple draw buffers in shader program only if its required by specific application.
(0073935)
git (administrator)
2018-02-12 16:24

Branch CR29337_1 has been updated by kgv.

SHA-1: 9042123dc4ec48b10f9afd4791b31fa2abc36a20


Detailed log of new commits:

Author: kgv
Date: Mon Feb 12 16:23:16 2018 +0300

    occSetFragColor() - a new GLSL function has been introduced
    as an alternative to setting occFragColor/occFragCoverage variables.

(0073936)
git (administrator)
2018-02-12 16:27

Branch CR29337_2 has been created by kgv.

SHA-1: 6f2bccc6d00610c163c76d3d6c720e54e5d417a5


Detailed log of new commits:

Author: apl
Date: Mon Nov 27 15:16:21 2017 +0300

    0029337: Visualization, TKOpenGl - visual artifacts on Intel Broadwell GPU
    
    Enable multiple draw buffers in shader program only if its required by specific application.
    
    occSetFragColor() - a new GLSL function has been introduced
    as an alternative to setting occFragColor/occFragCoverage variables.
(0073938)
git (administrator)
2018-02-12 16:44

Branch CR29337_2 has been updated forcibly by kgv.

SHA-1: 39d9f60e5120c618eedd1b1ddef1f910337b2fcb
(0073939)
kgv (developer)
2018-02-12 16:45
edited on: 2018-02-12 22:40

Could you please review the patch in branch CR29337_2?

http://jenkins-test-10.nnov.opencascade.com/view/CR29337_2-master-KGV [^]

(0073995)
kgv (developer)
2018-02-15 09:38

Please take the patch.
(0074001)
apn (administrator)
2018-02-15 13:02

Combination -
OCCT branch : CR29337_2 SHA - 39d9f60e5120c618eedd1b1ddef1f910337b2fcb
Products branch : master SHA - 41720ba4c544483d56753d7b5ec17b6a72bfac64
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18300.199999999695 / 18375.13999999976 [-0.41%]
Products
Total CPU difference: 7508.269999999987 / 7504.889999999995 [+0.05%]
Windows-64-VC10:
OCCT
Total CPU difference: 17695.13102959856 / 17692.572613198507 [+0.01%]
Products
Total CPU difference: 8037.218320299973 / 8097.855908999923 [-0.75%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074274)
git (administrator)
2018-03-06 15:50

Branch CR29337_1 has been deleted by kgv.

SHA-1: 9042123dc4ec48b10f9afd4791b31fa2abc36a20
(0074275)
git (administrator)
2018-03-06 15:50

Branch CR29337_2 has been deleted by kgv.

SHA-1: 39d9f60e5120c618eedd1b1ddef1f910337b2fcb

- Related Changesets
occt: master b17e5bae
Timestamp: 2017-11-27 12:16:21
Author: apl
Committer: apn
Details ] Diff ]
0029337: Visualization, TKOpenGl - visual artifacts on Intel Broadwell GPU

Enable multiple draw buffers in shader program only if its required by specific application.

occSetFragColor() - a new GLSL function has been introduced
as an alternative to setting occFragColor/occFragCoverage variables.
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/DeclarationsImpl.glsl Diff ] File ]
mod - src/Shaders/PhongShading.fs Diff ] File ]
mod - src/Shaders/Shaders_DeclarationsImpl_glsl.pxx Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-21 08:12 kgv New Issue
2017-11-21 08:12 kgv Assigned To => apl
2017-11-21 08:12 kgv Relationship added child of 0028826
2017-11-21 08:13 kgv Status new => assigned
2017-11-21 08:13 kgv Description Updated View Revisions
2017-11-21 08:16 kgv File Added: occt720_intel_KO_artifacts.png
2017-11-21 08:17 kgv File Deleted: occt720_intel_KO_artifacts.png
2017-11-27 15:17 git Note Added: 0072501
2018-02-12 15:24 git Note Added: 0073932
2018-02-12 16:24 git Note Added: 0073935
2018-02-12 16:27 git Note Added: 0073936
2018-02-12 16:44 git Note Added: 0073938
2018-02-12 16:45 kgv Note Added: 0073939
2018-02-12 16:45 kgv Status assigned => resolved
2018-02-12 22:40 kgv Note Edited: 0073939 View Revisions
2018-02-14 15:03 kgv Relationship added related to 0029508
2018-02-14 20:23 kgv Assigned To apl => san
2018-02-15 09:38 kgv Note Added: 0073995
2018-02-15 09:38 kgv Assigned To san => bugmaster
2018-02-15 09:38 kgv Status resolved => reviewed
2018-02-15 13:02 apn Test case number => Not needed
2018-02-15 13:02 apn Note Added: 0074001
2018-02-15 13:02 apn Status reviewed => tested
2018-02-18 13:00 apn Changeset attached => occt master b17e5bae
2018-02-18 13:00 apn Assigned To bugmaster => apn
2018-02-18 13:00 apn Status tested => verified
2018-02-18 13:00 apn Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074274
2018-03-06 15:50 git Note Added: 0074275
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker